/*************************
coupon
*************************/
.coupon-img{
    margin-bottom: 50px;
}

.coupon-inner{
    display: grid;
    gap: 50px;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    justify-content: center;
    margin: 0 50px;
}

.coupon-box{
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    border-radius: 5px;
    cursor: pointer;
    background: #fff;
}

.coupon-box-header,
.coupon-box-body,
.coupon-box-footer{
    padding: 10px 10px;
}

.couopn-box-footer{
    display: flex;
    flex-direction: column;
    justify-content: end;
    flex: 1;
}

.coupon-sub-title{
    margin-bottom: 5px;
    font-size: 16px;
    font-weight: 600;
    min-height: 30px;
}

.coupon-title{
    background: #000;
    color: #fff;
    text-align: center;
    padding: 5px;
    border-radius: 10px;
    font-weight: 600;
    height: 50px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.coupon-store-name{
    padding: 0 10px;
    display: flex;
    align-items: center;
    min-height: 51px;
    font-size: 17px; 
    font-weight: 600;
}

.coupon-end-time{
    padding: 10px 10px 0 10px;
    display: flex;
    justify-content: space-between;
}

.coupon-voice{
    display: flex;
    padding: 10px;
}

.coupon-voice img{
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 50px;
    border: solid 0.5px;
}

.coupon-voice p{
    width: 100%;
    position: relative;
    font-size: 0.7rem;
    margin: auto;
    margin-left: 20px;
    padding: 10px;
    border: solid 0.5px;
    border-radius: 5px;
}

.coupon-voice p::after{
    position: absolute;
    top: 5px;
    left: -25px;
    border: 10px solid transparent;
    border-right: 15px solid #000;
    content: "";
}

/* .coupon-details-flex{
    display: flex;
    margin: 12px 0;
}

.coupon-details-flex p{
    margin: auto 0;
}

.coupon-details-flex p:last-child{
    margin-left: 30px;
}

.coupon-details-flex i{
    margin-right: 5px;
}

.coupon-txt{
    font-size: 5px;
} */


.couopn-box-footer img{
    width: 100%;
    margin-bottom:10px;
}

.couopn-box-footer p:last-child{
    margin: 10px auto;
    width: fit-content;
    padding: 2px 11px;
    text-align: center;
    background: #949696;
    color: white;
    border-radius: 12px;
}

.coupon-box-img{
    padding: 0 10px;
    width: 100%;
    height: 300px;
}

.coupon-box-img img{
    width: 100%;
    height: 300px;
    display: block;
    margin: 0 auto;
    border-radius: 5px;

    width: 100%;
    /* height: 185px; */
    object-fit: cover;
}

.display-hr{
    display: none;
}

.coupon-box-body > p:last-child{
    text-align: center;
}

/*************************
modal
*************************/

.modal-wrapper{
    height: 100vh;
    width: 100vw;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    z-index: 999;
    display: none;
}

.modal-close{
    background-color: rgba(0,0,0,0.5);
    width: 100vw;
    height: 100vh;
}

.modal-box-header {
    padding: 30px 10px 10px;
}

.modal-box-body,
.modal-box-footer{
    padding: 10px;
}

.modal-box-header p:last-child{
    font-weight: 600;
}

.modal-close-icon{position: relative;}
.modal-close-icon span{
    position: fixed;
    top: 0;
    right: 0;
    width: 25px;
    height: 25px;
    background: #000;
    text-align: center;
    color: #fff;
    content: "×";
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.modal-box{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    opacity: 1;
    max-width: 348px;
    width: 90%;
    height: 80vh;
    box-shadow: 0 0 5px gray;
    border-radius: 5px;
    background: #fff;
    overflow-y: scroll;
}

.modal-box-header p:first-child{
    margin-bottom: 10px;
    font-size: 13px;
    font-weight: 600;
}
.store-introduction-text {
    padding: 0 7px;
    font-size: 11px;
}

.modal-box-header p:last-child{
    background: #000;
    color: #fff;
    text-align: center;
    padding: 5px;
    border-radius: 10px;
    font-size: 13px;
}

.modal-box-img{
    text-align: center;
}

.modal-box-img img{
    text-align: center;
    max-width: 100%;
}

.modal-click-area > p > label{
    display: block;
    text-align: center;
    padding: 7px;
    cursor: pointer;
    
}

.modal-voice{
    display: flex;
    padding: 10px 0;
}

.modal-voice img{
    width: 50px;
    height: 50px;
    object-fit:cover;
    border-radius: 50px;
    border: solid 0.5px;
}

.modal-voice p{
    position: relative;
    font-size: 0.7rem;
    margin: auto;
    margin-left: 20px;
    padding: 10px;
    border: solid 0.5px;
    border-radius: 5px;
}

.modal-voice p::after{
    position: absolute;
    top: 5px;
    left: -25px;
    border: 10px solid transparent;
    border-right: 15px solid #000;
    content: "";
}

.modal-details > p:first-child{
    margin-bottom: 10px;
    font-size: 15px;
    font-weight: 600;
}

#store-name,
#address,
#note,
#presentation,
#hp,
#terms{
    margin-bottom: 10px;
}
#hp {
    margin-top: 10px;
}

#terms{
    font-size: 11px;
}

.modal-details p {
    font-size: 11px;
}

.modal-details > .sns-img-wrapper {
    display: flex;
    justify-content: end;
    margin-top: 20px;
}

.modal-details > .sns-img-wrapper img {
    width: 25px;
    margin: 0 3px;
}

.modal-details-flex{
    border: 1px solid;
    width: fit-content;
    margin: 15px auto;
    border-radius: 17px;
    padding: 7px 18px;
}

.modal-details-flex p:first-child{
    font-size: 11px;
}

.modal-details-flex p{
    margin: auto 0;
}

.modal-details-flex i{
    transform: rotate(110deg);
    margin-right: 5px;
}

.modal-box-footer{
    text-align: center;
}

.modal-box-footer img{
    max-width: 300px;
    width: 100%;
    margin-bottom:10px;
}


/*************************
sponsor
*************************/

.sponsor-wrapper{
    display: grid;
    gap: 50px;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    justify-content: center;
    padding-bottom: 60px;
    margin: 0 33px;
}

.sponsor-img{
    margin: auto;
}

.sponsor-img img{
    width: 130px;
    height: 75px;
    object-fit: contain;
}

.sponsor-box-img{
    margin: auto;
    max-width: 300px;
}

.sponsor-box-img img{
    width: 100%;
}